; This source code is copyrighted (c) to Jocelyn Perreault.
; It may not be used to create another game. You can modify
; it (i.e., make mods) but you need to notify me if you do
; so, and my name must remain in the credits. It cannot be
; redistributed (the source code and the game itself).
; Thanks,
;                 Jocelyn "GoSsE Korupted" Perreault
;                  gosse@nuloen.com
;                  Nuclear Loaded Entertainment
;                  http://www.nuloen.com/

.GameMenu

If musicEnabled Then
	SeedRnd MilliSecs()
	FreeSound sndMusic
	sndMusic = LoadSound("sounds\music" + Rand(1, 3) + ".mp3")
	LoopSound sndMusic
	chnMusic = PlaySound(sndMusic)
	ChannelVolume chnMusic, musicVol
End If

fntDefault = LoadFont("Garamond", 13, True)
SetFont fntDefault

filHS = ReadFile("data\highscores.dat")
	For count = 0 To 9
		HSName(count) = ReadString(filHS)	
		HSDiff(count) = ReadInt(filHS)
		HSLevel(count) = ReadInt(filHS)
		HSScore(count) = ReadInt(filHS)
	Next 
CloseFile(filHS)

imgMenu = LoadImage("images\menu.jpg")
MaskImage imgMenu, 255, 0, 255
DrawImage imgMenu, 0, 0
For count = 0 To 9
	Select HSDiff(count)
		Case 1
			HSD$ = " (Easy, Level "
		Case 2
			HSD$ = " (Medium, Level "
		Case 3
			HSD$ = " (Hard, Level "
		Case 4
			HSD$ = " (Insane!, Level "
	End Select
	Color 85, 85, 85
	Text 361, 231 + 15 * count,  Int(count + 1) + ". " + HSName(count) + HSD + HSLevel(count) + "): " + HSScore(count)
	Color 20 - count, 168 - count * 4, 220 - count * 6
	Text 360, 230 + 15 * count,  Int(count + 1) + ". " + HSName(count) + HSD + HSLevel(count) + "): " + HSScore(count)
Next
Color 110, 110, 155
Text 370, 380, "(*) denotes the game was won."
imgOptions = LoadImage("images\options.jpg")
MaskImage imgOptions, 255, 0, 255

Color 85, 85, 85
Text 496, 216, message$, True, True
Color 20, 148, 200
Text 495, 215, message$, True, True

imgMarquee = LoadImage("images\marquee.bmp")
MaskImage imgMarquee, 0, 0, 0
ShowPointer
fntDefault = LoadFont("Garamond", 18, True)
SetFont fntDefault
play = False
abandon = False
While Not play

	DrawImage imgOptions, 64, 104
	
	DrawImage imgMarquee, 161 + 33 * (startinglives - 5), 192

	Color 85, 85, 85
	Text 136, 111, name$ + "|"
	Color 20, 168, 220
	Text 135, 110, name$ + "|"
	key = GetKey()
	If key <> 0 Then
		If key = 9 Then
			k$ = ""
		End If
		k$ = k$ + key
		If k = "914191145"
			difficulty = 4
			message = "Insane difficulty cheat enabled!"
			If soundEnabled Then PlaySound sndWarp
			maxDiff = 4
			Gosub GameMenu
		End If
		If key = 13 Then
			If soundEnabled Then PlaySound sndClick
			play = True
		End If
		If key = 9 Then
			If soundEnabled Then PlaySound sndClick
			difficulty = difficulty + 1
			If difficulty > maxDiff Then
				difficulty = 1
			End If
		End If
		If key = 30 Then
			If soundEnabled Then PlaySound sndClick
			startinglives = startinglives + 1
			If startinglives > 8 Then
				startinglives = 8
			End If
		End If
		If key = 31 Then
			If soundEnabled Then PlaySound sndClick
			startinglives = startinglives - 1
			If startinglives < 5 Then
				startinglives = 5
			End If
		End If
		If key = 27 Then
			If soundEnabled Then PlaySound sndClick
			Delay 100
			End			
		End If
	End If
	If key > 0
		If name = "Enter your name" Then name = ""
		If (key >= 65 And key <= 90) Or (key >= 97 And key <= 122) Or key = 32 Or key = 39 And Len(name) < 10
			name = name + Chr$(key)
			If soundEnabled Then PlaySound sndClick
		Else If key = 8
			If Len(name) > 0 
				name = Left(name, Len(name) - 1)
			End If
			If soundEnabled Then PlaySound sndClick
		ElseIf Len(name) >= 10
			If soundEnabled Then PlaySound sndBox
		End If
	End If

	Select difficulty
		Case 1
			Diff$ = "Easy"
		Case 2
			diff$ = "Medium"
		Case 3
			diff$ = "Hard"
		Case 4
			diff$ = "Insane!"
	End Select

	Color 0, 0, 0
	Text 246, 153, Diff$, True, True
	Select difficulty
		Case 1
			Color 0, 255, 0
		Case 2
			Color 255, 255, 0
		Case 3
			Color 255, 0, 0
		Case 4
			Color 255, 205, 205
	End Select
	Text 245, 152, Diff$, True, True
	
	Color 85, 85, 85
	Text 276, 173, startinglives
	Color 25 + 25 * startinglives, 25 + 25 * startinglives, 25 + 25 * startinglives
	Text 275, 172, startinglives
	
	mouse = GetMouse()
	If mouse = 1 Then
		If MouseArea(209, 140, 73, 24)
			If soundEnabled Then PlaySound sndClick
			difficulty = difficulty + 1
			If difficulty > maxDiff Then
				difficulty = 1
			End If
		End If
		If MouseArea(121, 383, 105, 33)
			If soundEnabled Then PlaySound sndClick
			Delay 100
			End			
		End If
		If MouseArea(160, 175, 110, 25)
			If soundEnabled Then PlaySound sndClick
			If MouseX() > 165 + 33 * (startinglives - 5) Then
				startinglives = startinglives + 1
			Else
				startinglives = startinglives - 1
			End If
			If startinglives > 8 Then
				startinglives = 8
			ElseIf startinglives < 5 Then
				startinglives = 5
			End If
		End If
		If MouseArea(120, 212, 119, 29)
			If soundEnabled Then PlaySound sndClick
			play = True
		End If
		If MouseArea(134, 114, 155, 20)
			If name = "Enter your name" Then
				If soundEnabled Then PlaySound sndClick
				name = ""
			End If
		End If
	End If
	
	Flip
Wend