; This source code is copyrighted (c) to Jocelyn Perreault.
; It may not be used to create another game. You can modify
; it (i.e., make mods) but you need to notify me if you do
; so, and my name must remain in the credits. It cannot be
; redistributed (the source code and the game itself).
; Thanks,
;                 Jocelyn "GoSsE Korupted" Perreault
;                  gosse@nuloen.com
;                  Nuclear Loaded Entertainment
;                  http://www.nuloen.com/

; GAME SETTINGS, CALCULATED/SET (WHEN YOU HIT PLAY)
dr# = (difficulty * difficulty) / 2
If dr = 0 Then
	dr = 1
End If
speed# = .20 + dr * 0.05     			; .15, .25, .35. difficulty, powerups
turnAngle# = 5 / .25 * speed    		; 5. no config, powerups
lives = startinglives          	     	;  2-5, default 3
score = 0                               ;  0. except testing
level = 1								; 1. except testing
collected = 0
AmbientLight 205, 205, 205

newmessage$ = "Welcome to Nuclear Nibble 3D, " + name + "!"
message$ = ""
msgid = 1

If newg Then
	If complexscore Then
		For count = 0 To 6
			target(count) = 205
			current(count) = 205
			RotateEntity objOdo(count), current(count), 0, 90
		Next
	End If
	Gosub Level
End If

; RELOAD TEXTURES
texNibble = LoadTexture("images\nibble.bmp")
ScaleTexture texNibble, 0.7, 0.7

; LOAD UI
imgContinue = LoadImage("images\continue.jpg")
MaskImage imgContinue, 255, 0, 255

imgUI = LoadImage("images\interface.bmp")
MaskImage imgUI, 255, 0, 255

If masking Then
	imgWindow = LoadImage("images\window.bmp")
	imgLives = LoadImage("images\lives.bmp")
Else
	imgWindow = LoadImage("images\window-nm.bmp")
	imgLives = LoadImage("images\lives-nm.bmp")
End If

imgQuit = LoadImage("images\quit.jpg")
MaskImage imgQuit, 255, 0, 255

MaskImage imgWindow, 255, 0, 255
MaskImage imgLives, 255, 0, 255

imgBlack = LoadImage("images\black.jpg")
MaskImage imgBlack, 255, 0, 255

imgTimer = LoadImage("images\timerbkg.jpg")
MaskImage imgTimer, 255, 0, 255

; OBJECTS ARRAY
Dim objWalls(25, 25)
Dim freed(500)
Dim walls(25, 25)

; NEW GAME?
newg = False

; LOAD SPRITES
If masking Then
	sprNumbers = LoadAnimImage("images\numbers.bmp", 18, 25, 0, 10)
Else
	sprNumbers = LoadAnimImage("images\numbers-nm.bmp", 18, 25, 0, 10)
End If
	
MaskImage sprNumbers, 255, 0, 255

sprScore = LoadAnimImage("images\lcdgts_a.jpg", 15, 20, 0, 10)
ScaleImage sprScore, 2, 2.5

sprTimer = LoadAnimImage("images\timernbr.jpg", 22, 35, 0, 10)
MaskImage sprTimer, 255, 0, 255